Skip to main content
GET
/
api
/
v3
/
admin
/
webhook_endpoints
/
{webhook_endpoint_id}
/
deliveries
/
{id}
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const delivery = await client.webhookEndpoints.deliveries.get('whe_xxx', 'whd_xxx')
{
  "id": "whd_gbHJdmfrXB",
  "event_name": "order.created",
  "event_id": null,
  "response_code": 500,
  "execution_time": 200,
  "error_type": null,
  "request_errors": null,
  "response_body": null,
  "success": false,
  "payload": {
    "event": "order.created",
    "data": {
      "id": 1
    }
  },
  "created_at": "2026-06-05T13:13:13.753Z",
  "updated_at": "2026-06-05T13:13:13.753Z",
  "delivered_at": "2026-06-05T13:13:13.753Z",
  "webhook_endpoint_id": "whe_UkLWZg9DAJ",
  "webhook_endpoint_url": "https://shop.example.com/webhooks"
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Bearer token for admin authentication

Path Parameters

webhook_endpoint_id
string
required

Parent webhook endpoint ID

id
string
required

Webhook delivery ID

Query Parameters

fields
string

Comma-separated list of fields to include. id is always included.

Response

delivery found